
/*
 *  SIGNAL.H
 */

#ifndef _SIGNAL_H
#define _SIGNAL_H

typedef char sig_atomic_t;

#define SIG_DFL
#define SIG_ERR
#define SIG_IGN

#define SIGABRT     1
#define SIGFPE	    2
#define SIGILL	    3
#define SIGINT	    4
#define SIGSEGV     5
#define SIGTERM     6

typedef void (*__sigfunc)(int);

extern __sigfunc signal(int, __sigfunc);
extern int raise(int);

#endif

