
/*
 *  ASCTIME.C
 */

#include <time.h>

char *
asctime(tm)
const struct tm *tm;
{
    static char *TBuf[32];
    static char *Month[] = { "Jan", "Feb", "Mar", "Apr", "May", "Jun",
			     "Jul", "Aug", "Sep", "Oct", "Nov", "Dev"
			    };
    static char *Dow[]	 = { "Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat" };

    sprintf(TBuf, "%s %s %2d %02d:%02d:%02d %4ld\n",
	Dow[tm->tm_wday],
	Month[tm->tm_mon],
	tm->tm_mday,
	tm->tm_hour,
	tm->tm_min,
	tm->tm_sec,
	tm->tm_year + 1900
    );
    return(TBuf);
}

