
/*
 *  time/localtime.c
 */

#include <time.h>

struct tm *
localtime(tp)
const time_t *tp;
{
    time_t t = *tp;
    static struct tm Tm;

    Tm.tm_sec = t % 60;
    Tm.tm_min = t / 60 % 60;
    Tm.tm_hour= t / (60*24) % 24;
    Tm.tm_mday= 1;
    Tm.tm_mon = 1;
    Tm.tm_year= 0;
    Tm.tm_wday= 0;
    Tm.tm_yday= 0;
    Tm.tm_isdst= 0;

    return(&Tm);
}

