
/*
 *  ERRNO.H
 *
 */

#ifndef _ERRNO_H
#define _ERRNO_H

#ifndef _MATH_H
#define EDOM	    1		/*  repeated in errno.h */
#define ERANGE	    2		/*  repeated in errno.h */
#endif

#define EBADF	    3		/*  bad file descriptor */
#define ENOPERM     4		/*  write on ro or read on wo desc */
#define ENOMEM	    5		/*  no memory ???	*/
#define ENOFILE     6		/*  open faileod	*/

#define EACCES	    7		/*  access disallowed	*/
#define EINVAL	    8		/*  invalid flags	*/
#define EMFILE	    9		/*  ran out of FDs	*/
#define EAGAIN	    10
#define EPEER	    11
#define EPIPE	    12
#define ENOTFND     13

extern volatile int errno;

#endif

